ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Types.SptEntry

Synopsis

- data SptEntry = SptEntry Id Fingerprint

# Documentation

data SptEntry Source #

An entry to be inserted into a module's static pointer table. See Note [Grand plan for static forms] in GHC.Iface.Tidy.StaticPtrTable.

Constructors

SptEntry Id Fingerprint |

#### Instances

Instances details

Outputable SptEntry Source # |
Instance details Defined in GHC.Types.SptEntry Methods ppr :: SptEntry -> SDoc Source #